package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.common.module.service.ICtopOauthTokenService;
import cn.com.ctop.common.module.utils.CtopAdConstant;
import cn.com.ctop.toutiao.modules.report.service.IReportService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

@Component
public class ByteDancePlanRuleDataJob {
    @Autowired
    private ICtopOauthTokenService tokenService;
    @Autowired
    private IReportService reportService;

    @XxlJob("bytedancePlanLoadJob")
    public ReturnT<String> execute(String param) throws Exception {
        Date date = new Date();
        if(null!=param&&!"".equals(param.trim())){
            Long accountId = Long.parseLong(param);
            CtopOauthToken token = tokenService.getTokenByAccountId(accountId);
            reportService.getAdvertiserPlanRuleData(token,date,date,CtopAdConstant.BYTEDANCE_REPORT_TYPE_DAILY);
        }
        XxlJobLogger.log("头条计划数据清洗完成:accountId=>{}",param);
        return ReturnT.SUCCESS;
    }
}
