package cn.com.ctop.job.bytedance.handler;

/**
 *  Created by JQ.bi on 2020.11.16
 */
import cn.com.ctop.common.module.service.ICtopOauthTokenService;
import cn.com.ctop.toutiao.modules.report.service.IRuleByteDanceAccountService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

@Component
public class RuleDataAccountCleanJob {

    @Autowired
    private ICtopOauthTokenService oauthTokenService;

    @Autowired
    private IRuleByteDanceAccountService ruleByteDanceAccountService;

    private ExecutorService executorPool = Executors.newFixedThreadPool(6);

    @XxlJob("ruleDataAccountCleanJob")
    public ReturnT<String> execute(String param) throws Exception {
        XxlJobLogger.log("规则预警账户维度数据开始清洗");
        if (null == param || "".equals(param.trim())) {
            XxlJobLogger.log("参数异常");
            return ReturnT.FAIL;
        }
        Long accountId = Long.parseLong(param);
        ruleByteDanceAccountService.cleanRuleDataAccount(accountId);
        XxlJobLogger.log("规则预警账户维度数据清洗结束");
        return ReturnT.SUCCESS;
    }
}
